[arch-commits] Commit in psmisc/trunk (ChangeLog PKGBUILD psmisc.checkregs.fix.patch)

Eric Bélanger eric at archlinux.org
Thu Apr 30 22:27:37 EDT 2009


    Date: Thursday, April 30, 2009 @ 22:27:37
  Author: eric
Revision: 37191

upgpkg: psmisc 22.6-2.1
    Added peekfd in x86_64 package (close FS#14514)

Added:
  psmisc/trunk/psmisc.checkregs.fix.patch
Modified:
  psmisc/trunk/ChangeLog
  psmisc/trunk/PKGBUILD

----------------------------+
 ChangeLog                  |    5 +++++
 PKGBUILD                   |   16 +++++++++-------
 psmisc.checkregs.fix.patch |   12 ++++++++++++
 3 files changed, 26 insertions(+), 7 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-05-01 02:26:14 UTC (rev 37190)
+++ ChangeLog	2009-05-01 02:27:37 UTC (rev 37191)
@@ -1,3 +1,8 @@
+2009-04-30  Eric Belanger  <eric at archlinux.org>
+
+	* psmisc 22.6-2.1
+	* Added peekfd in x86_64 package (close FS#14514)
+
 2008-10-19  Eric Belanger  <eric at archlinux.org>
 
 	* Updated url

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-01 02:26:14 UTC (rev 37190)
+++ PKGBUILD	2009-05-01 02:27:37 UTC (rev 37191)
@@ -3,20 +3,22 @@
 
 pkgname=psmisc
 pkgver=22.6
-pkgrel=2
+pkgrel=2.1
 pkgdesc="Miscellaneous procfs tools"
 arch=('i686' 'x86_64')
 url="http://psmisc.sourceforge.net/index.html"
 license=('GPL')
 groups=('base')
 depends=('glibc' 'ncurses')
-source=(http://downloads.sourceforge.net/psmisc/$pkgname-$pkgver.tar.gz)
-md5sums=('2e81938855cf5cc38856bd4a31d79a4c')
-sha1sums=('cb15c23e9cfe618e9de5f066525bce7dc7b77421')
+source=(http://downloads.sourceforge.net/psmisc/${pkgname}-${pkgver}.tar.gz psmisc.checkregs.fix.patch)
+md5sums=('2e81938855cf5cc38856bd4a31d79a4c' '143116f9c1a6ed14645cf34f76e97239')
+sha1sums=('cb15c23e9cfe618e9de5f066525bce7dc7b77421' 'cda61d954cc16d5331a4e3e78a30ef61fa798ef3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p0 < ../psmisc.checkregs.fix.patch || return 1
+  autoreconf || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }

Added: psmisc.checkregs.fix.patch
===================================================================
--- psmisc.checkregs.fix.patch	                        (rev 0)
+++ psmisc.checkregs.fix.patch	2009-05-01 02:27:37 UTC (rev 37191)
@@ -0,0 +1,12 @@
+--- configure.ac.orig	2007-11-04 04:24:32.000000000 -0300
++++ configure.ac	2009-04-30 19:03:09.393728806 -0300
+@@ -67,7 +67,8 @@
+ 		struct user_regs_struct.rax,
+ 		struct user_regs_struct.rdi,
+ 		struct user_regs_struct.rsi,
+-		struct user_regs_struct.rdx], [],[], [#include <sys/user.h>])
++		struct user_regs_struct.rdx], [],[], [AC_INCLUDES_DEFAULT
++#include <sys/user.h>])
+ AC_CHECK_MEMBERS([struct pt_regs.orig_gpr3,
+ 		struct pt_regs.gpr], [],[], [#include <linux/ptrace.h>])
+ AM_CONDITIONAL(WANT_PEEKFD_I386,



More information about the arch-commits mailing list